/* Prototypesheader

	Name:		ChangeGUI.h
	Main:		Change
	Versionstring:	$VER: ChangeGUI.h 1.4 (07.01.1998)
	Author:		SDI
	Distribution:	PD

 1.2   17.03.97 : added header
 1.3   04.01.98 : removed obsolete includes
 1.4   07.01.98 : moved in GUI-stuff from Change.h
*/

#include <exec/types.h>
#include "GetChar.h"

#define GD_Load_File_GetFile	 0
#define GD_Save_File_GetFile	 1
#define GD_FOUND_CheckBox	 2
#define GD_HEX_CheckBox		 3
#define GD_LENGTH_CheckBox	 4
#define GD_NOCHANGE_CheckBox	 5
#define GD_NOSIZE_CheckBox	 6
#define GD_OVERWRITE_CheckBox	 7
#define GD_PATH_CheckBox	 8
#define GD_POSITION_CheckBox	 9
#define GD_Error_Text		10
#define GD_START_Button 	11
#define GD_Position_String	12
#define GD_Load_File_String	13
#define GD_Save_File_String	14
#define GD_Search_String	15
#define GD_Replace_String	16

#define Change_CNT 17
#define TEXT_FAULT_SIZE	30

#define GetSpecInfo(a)	((struct StringInfo *) ((a)->SpecialInfo))
#define GetGadgBuf(a)	(GetSpecInfo(a)->Buffer)
#define GetGadg(a)	(gd->Gadg[a])

struct GuiData {
  struct Screen	*	Scr;
  APTR			VisualInfo;
  struct Library *	GadToolsBase;
  struct IntuitionBase *IntuitionBase;
  struct Window	*	Window;
  struct Gadget	*	GadgList;
  struct Gadget *	Gadg[Change_CNT];
  UBYTE			faulttext[TEXT_FAULT_SIZE];
  UBYTE			out_str[2][BACK_MAX];	/* output strings */
  UWORD     		str[2][BACK_MAX];	/* process_string */
};

extern LONG DoGUI(void);		/* GUI startup */

